import './Popover.styles_14k6hh2.css';
import { styled } from '@linaria/react';
import { DEFAULT_Z_INDEX } from '../Popup/utils/index.js';

var StyledRoot = /*#__PURE__*/styled('div')({
  name: "StyledRoot",
  "class": "s1bq8v61",
  propsAsIs: false
});
var StyledWrapper = /*#__PURE__*/styled('div')({
  name: "StyledWrapper",
  "class": "sy1a8g5",
  propsAsIs: false
});
var StyledArrow = /*#__PURE__*/styled('div')({
  name: "StyledArrow",
  "class": "s1ulu18n",
  propsAsIs: false
});
var _exp9 = function _exp9() {
  return function (_ref) {
    var zIndex = _ref.zIndex;
    return zIndex || DEFAULT_Z_INDEX;
  };
};
var StyledPopover = /*#__PURE__*/styled('div')({
  name: "StyledPopover",
  "class": "sci2672",
  propsAsIs: false,
  vars: {
    "sci2672-0": [/*#__PURE__*/_exp9()]
  }
});

export { StyledArrow, StyledPopover, StyledRoot, StyledWrapper };
